 drivers/block/paride/pcd.c |    2 +-
 drivers/cdrom/cdrom.c      |    4 ++--
 drivers/cdrom/cdu31a.c     |    2 +-
 drivers/cdrom/cm206.c      |    2 +-
 drivers/cdrom/mcd.c        |    2 +-
 drivers/cdrom/mcdx.c       |    2 +-
 drivers/cdrom/sbpcd.c      |    2 +-
 drivers/ide/ide-cd.c       |    2 +-
 drivers/scsi/sr.c          |    2 +-
 include/linux/cdrom.h      |    2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)

diff -puN drivers/block/paride/pcd.c~RD3-cdrom_open-B6 drivers/block/paride/pcd.c
--- 25/drivers/block/paride/pcd.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/block/paride/pcd.c	2003-10-04 11:45:50.000000000 -0700
@@ -246,7 +246,7 @@ static int pcd_warned;		/* Have we logge
 static int pcd_block_open(struct inode *inode, struct file *file)
 {
 	struct pcd_unit *cd = inode->i_bdev->bd_disk->private_data;
-	return cdrom_open(&cd->info, inode, file);
+	return cdrom_open(&cd->info, inode->i_bdev, file);
 }
 
 static int pcd_block_release(struct inode *inode, struct file *file)
diff -puN drivers/cdrom/cdrom.c~RD3-cdrom_open-B6 drivers/cdrom/cdrom.c
--- 25/drivers/cdrom/cdrom.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/cdrom/cdrom.c	2003-10-04 11:45:50.000000000 -0700
@@ -416,7 +416,7 @@ int unregister_cdrom(struct cdrom_device
  * is in their own interest: device control becomes a lot easier
  * this way.
  */
-int cdrom_open(struct cdrom_device_info *cdi, struct inode *ip, struct file *fp)
+int cdrom_open(struct cdrom_device_info *cdi, struct block_device *bdev, struct file *fp)
 {
 	int ret;
 
@@ -437,7 +437,7 @@ int cdrom_open(struct cdrom_device_info 
 	cdinfo(CD_OPEN, "Use count for \"/dev/%s\" now %d\n", cdi->name, cdi->use_count);
 	/* Do this on open.  Don't wait for mount, because they might
 	    not be mounting, but opening with O_NONBLOCK */
-	check_disk_change(ip->i_bdev);
+	check_disk_change(bdev);
 	return ret;
 }
 
diff -puN drivers/cdrom/cdu31a.c~RD3-cdrom_open-B6 drivers/cdrom/cdu31a.c
--- 25/drivers/cdrom/cdu31a.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/cdrom/cdu31a.c	2003-10-04 11:45:50.000000000 -0700
@@ -3169,7 +3169,7 @@ static struct cdrom_device_info scd_info
 
 static int scd_block_open(struct inode *inode, struct file *file)
 {
-	return cdrom_open(&scd_info, inode, file);
+	return cdrom_open(&scd_info, inode->i_bdev, file);
 }
 
 static int scd_block_release(struct inode *inode, struct file *file)
diff -puN drivers/cdrom/cm206.c~RD3-cdrom_open-B6 drivers/cdrom/cm206.c
--- 25/drivers/cdrom/cm206.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/cdrom/cm206.c	2003-10-04 11:45:50.000000000 -0700
@@ -1352,7 +1352,7 @@ static struct cdrom_device_info cm206_in
 
 static int cm206_block_open(struct inode *inode, struct file *file)
 {
-	return cdrom_open(&cm206_info, inode, file);
+	return cdrom_open(&cm206_info, inode->i_bdev, file);
 }
 
 static int cm206_block_release(struct inode *inode, struct file *file)
diff -puN drivers/cdrom/mcd.c~RD3-cdrom_open-B6 drivers/cdrom/mcd.c
--- 25/drivers/cdrom/mcd.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/cdrom/mcd.c	2003-10-04 11:45:50.000000000 -0700
@@ -216,7 +216,7 @@ static struct cdrom_device_info mcd_info
 
 static int mcd_block_open(struct inode *inode, struct file *file)
 {
-	return cdrom_open(&mcd_info, inode, file);
+	return cdrom_open(&mcd_info, inode->i_bdev, file);
 }
 
 static int mcd_block_release(struct inode *inode, struct file *file)
diff -puN drivers/cdrom/mcdx.c~RD3-cdrom_open-B6 drivers/cdrom/mcdx.c
--- 25/drivers/cdrom/mcdx.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/cdrom/mcdx.c	2003-10-04 11:45:50.000000000 -0700
@@ -224,7 +224,7 @@ void do_mcdx_request(request_queue_t * q
 static int mcdx_block_open(struct inode *inode, struct file *file)
 {
 	struct s_drive_stuff *p = inode->i_bdev->bd_disk->private_data;
-	return cdrom_open(&p->info, inode, file);
+	return cdrom_open(&p->info, inode->i_bdev, file);
 }
 
 static int mcdx_block_release(struct inode *inode, struct file *file)
diff -puN drivers/cdrom/sbpcd.c~RD3-cdrom_open-B6 drivers/cdrom/sbpcd.c
--- 25/drivers/cdrom/sbpcd.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/cdrom/sbpcd.c	2003-10-04 11:45:50.000000000 -0700
@@ -5359,7 +5359,7 @@ static int sbp_data(struct request *req)
 static int sbpcd_block_open(struct inode *inode, struct file *file)
 {
 	struct sbpcd_drive *p = inode->i_bdev->bd_disk->private_data;
-	return cdrom_open(p->sbpcd_infop, inode, file);
+	return cdrom_open(p->sbpcd_infop, inode->i_bdev, file);
 }
 
 static int sbpcd_block_release(struct inode *inode, struct file *file)
diff -puN drivers/ide/ide-cd.c~RD3-cdrom_open-B6 drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/ide/ide-cd.c	2003-10-04 11:45:50.000000000 -0700
@@ -3340,7 +3340,7 @@ static int idecd_open(struct inode * ino
 
 	if (!info->buffer)
 		info->buffer = (char *) kmalloc(SECTOR_BUFFER_SIZE, GFP_KERNEL);
-        if (!info->buffer || (rc = cdrom_open(&info->devinfo, inode, file)))
+        if (!info->buffer || (rc = cdrom_open(&info->devinfo, inode->i_bdev, file)))
 		drive->usage--;
 	return rc;
 }
diff -puN drivers/scsi/sr.c~RD3-cdrom_open-B6 drivers/scsi/sr.c
--- 25/drivers/scsi/sr.c~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/drivers/scsi/sr.c	2003-10-04 11:45:50.000000000 -0700
@@ -416,7 +416,7 @@ queue:
 static int sr_block_open(struct inode *inode, struct file *file)
 {
 	struct scsi_cd *cd = scsi_cd(inode->i_bdev->bd_disk);
-	return cdrom_open(&cd->cdi, inode, file);
+	return cdrom_open(&cd->cdi, inode->i_bdev, file);
 }
 
 static int sr_block_release(struct inode *inode, struct file *file)
diff -puN include/linux/cdrom.h~RD3-cdrom_open-B6 include/linux/cdrom.h
--- 25/include/linux/cdrom.h~RD3-cdrom_open-B6	2003-10-04 11:45:50.000000000 -0700
+++ 25-akpm/include/linux/cdrom.h	2003-10-04 11:45:50.000000000 -0700
@@ -776,7 +776,7 @@ struct cdrom_device_ops {
 };
 
 /* the general block_device operations structure: */
-extern int cdrom_open(struct cdrom_device_info *, struct inode *, struct file *);
+extern int cdrom_open(struct cdrom_device_info *, struct block_device *, struct file *);
 extern int cdrom_release(struct cdrom_device_info *, struct file *);
 extern int cdrom_ioctl(struct cdrom_device_info *, struct block_device *, unsigned, unsigned long);
 extern int cdrom_media_changed(struct cdrom_device_info *);

_
